/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.internet.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.internet.entity.InternetWidgetConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(InternetWidgetMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class InternetWidgetMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "internetWidgetMeta";

  @Inject
  private transient Messages messages;

  public InternetWidgetMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBeschreibungEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_BESCHREIBUNG_EINZAHL;
  }

  public String getBeschreibungMehrzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_BESCHREIBUNG_MEHRZAHL;
  }


  public String getBeschreibungEinzahlMessage(){
    return getMessage(getBeschreibungEinzahlMessageKey());
  }

  public String getBeschreibungMehrzahlMessage(){
    return getMessage(getBeschreibungMehrzahlMessageKey());
  }



  public boolean isBeschreibungRequired() {
    return !InternetWidgetConstants.BESCHREIBUNG_NULLABLE;
  }

  public java.lang.String getBeschreibungDefaultValue() {
    return InternetWidgetConstants.BESCHREIBUNG_DEFAULT_VALUE;
  }

  public int getBeschreibungMaxLength() {
    return InternetWidgetConstants.BESCHREIBUNG_MAX_LENGTH;
  }

  public String getBreiteEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_BREITE_EINZAHL;
  }

  public String getBreiteMehrzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_BREITE_MEHRZAHL;
  }


  public String getBreiteEinzahlMessage(){
    return getMessage(getBreiteEinzahlMessageKey());
  }

  public String getBreiteMehrzahlMessage(){
    return getMessage(getBreiteMehrzahlMessageKey());
  }



  public boolean isBreiteRequired() {
    return !InternetWidgetConstants.BREITE_NULLABLE;
  }

  public de.ivu.elect.business.internet.entity.InternetWidgetBreite getBreiteDefaultValue() {
    return InternetWidgetConstants.BREITE_DEFAULT_VALUE;
  }


  public String getIdentifierEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_IDENTIFIER_EINZAHL;
  }

  public String getIdentifierMehrzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_IDENTIFIER_MEHRZAHL;
  }


  public String getIdentifierEinzahlMessage(){
    return getMessage(getIdentifierEinzahlMessageKey());
  }

  public String getIdentifierMehrzahlMessage(){
    return getMessage(getIdentifierMehrzahlMessageKey());
  }



  public boolean isIdentifierRequired() {
    return !InternetWidgetConstants.IDENTIFIER_NULLABLE;
  }

  public java.lang.String getIdentifierDefaultValue() {
    return InternetWidgetConstants.IDENTIFIER_DEFAULT_VALUE;
  }

  public int getIdentifierMaxLength() {
    return InternetWidgetConstants.IDENTIFIER_MAX_LENGTH;
  }

  public String getPositionEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_POSITION_EINZAHL;
  }

  public String getPositionMehrzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_POSITION_MEHRZAHL;
  }


  public String getPositionEinzahlMessage(){
    return getMessage(getPositionEinzahlMessageKey());
  }

  public String getPositionMehrzahlMessage(){
    return getMessage(getPositionMehrzahlMessageKey());
  }



  public boolean isPositionRequired() {
    return !InternetWidgetConstants.POSITION_NULLABLE;
  }

  public java.lang.Long getPositionDefaultValue() {
    return InternetWidgetConstants.POSITION_DEFAULT_VALUE;
  }

  public int getPositionMaxLength() {
    return InternetWidgetConstants.POSITION_MAX_LENGTH;
  }

  public long getPositionMinValue() {
    return InternetWidgetConstants.POSITION_MIN_VALUE;
  }

  public long getPositionMaxValue() {
    return InternetWidgetConstants.POSITION_MAX_VALUE;
  }

  public String getSprungmarkeEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_SPRUNGMARKE_EINZAHL;
  }

  public String getSprungmarkeMehrzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_SPRUNGMARKE_MEHRZAHL;
  }


  public String getSprungmarkeEinzahlMessage(){
    return getMessage(getSprungmarkeEinzahlMessageKey());
  }

  public String getSprungmarkeMehrzahlMessage(){
    return getMessage(getSprungmarkeMehrzahlMessageKey());
  }



  public boolean isSprungmarkeRequired() {
    return !InternetWidgetConstants.SPRUNGMARKE_NULLABLE;
  }

  public java.lang.String getSprungmarkeDefaultValue() {
    return InternetWidgetConstants.SPRUNGMARKE_DEFAULT_VALUE;
  }

  public int getSprungmarkeMaxLength() {
    return InternetWidgetConstants.SPRUNGMARKE_MAX_LENGTH;
  }

  public String getStatusEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_STATUS_EINZAHL;
  }

  public String getStatusMehrzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_STATUS_MEHRZAHL;
  }


  public String getStatusEinzahlMessage(){
    return getMessage(getStatusEinzahlMessageKey());
  }

  public String getStatusMehrzahlMessage(){
    return getMessage(getStatusMehrzahlMessageKey());
  }



  public boolean isStatusRequired() {
    return !InternetWidgetConstants.STATUS_NULLABLE;
  }

  public de.ivu.elect.business.internet.entity.InternetWidgetStatus getStatusDefaultValue() {
    return InternetWidgetConstants.STATUS_DEFAULT_VALUE;
  }


  public String getWidgetTypEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_WIDGET_TYP_EINZAHL;
  }

  public String getWidgetTypMehrzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_WIDGET_TYP_MEHRZAHL;
  }


  public String getWidgetTypEinzahlMessage(){
    return getMessage(getWidgetTypEinzahlMessageKey());
  }

  public String getWidgetTypMehrzahlMessage(){
    return getMessage(getWidgetTypMehrzahlMessageKey());
  }



  public boolean isWidgetTypRequired() {
    return !InternetWidgetConstants.WIDGET_TYP_NULLABLE;
  }

  public de.ivu.elect.business.internet.entity.InternetWidgetTyp getWidgetTypDefaultValue() {
    return InternetWidgetConstants.WIDGET_TYP_DEFAULT_VALUE;
  }


  public String getZeileEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_ZEILE_EINZAHL;
  }

  public String getZeileMehrzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_ZEILE_MEHRZAHL;
  }


  public String getZeileEinzahlMessage(){
    return getMessage(getZeileEinzahlMessageKey());
  }

  public String getZeileMehrzahlMessage(){
    return getMessage(getZeileMehrzahlMessageKey());
  }



  public boolean isZeileRequired() {
    return !InternetWidgetConstants.ZEILE_NULLABLE;
  }

  public java.lang.Long getZeileDefaultValue() {
    return InternetWidgetConstants.ZEILE_DEFAULT_VALUE;
  }

  public int getZeileMaxLength() {
    return InternetWidgetConstants.ZEILE_MAX_LENGTH;
  }

  public long getZeileMinValue() {
    return InternetWidgetConstants.ZEILE_MIN_VALUE;
  }

  public long getZeileMaxValue() {
    return InternetWidgetConstants.ZEILE_MAX_VALUE;
  }


  public String getCustomDataStorageEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_CUSTOM_DATA_STORAGE_ID_EINZAHL;
  }

  public String getCustomDataStorageEinzahlMessage(){
    return getMessage(getCustomDataStorageEinzahlMessageKey());
  }

  public boolean isCustomDataStorageRequired() {
    return !InternetWidgetConstants.CUSTOM_DATA_STORAGE_ID_NULLABLE;
  }


  public String getInternetSeiteEinzahlMessageKey(){
    return InternetWidgetConstants.MESSAGE_KEY_INTERNET_SEITE_ID_EINZAHL;
  }

  public String getInternetSeiteEinzahlMessage(){
    return getMessage(getInternetSeiteEinzahlMessageKey());
  }

  public boolean isInternetSeiteRequired() {
    return !InternetWidgetConstants.INTERNET_SEITE_ID_NULLABLE;
  }

}